Pardon our mess These API docs are a work in progress. Endpoints, examples, and behavior may change as we continue to develop the Partner API v2.

Partner API

Invite a team member

POST /api/v2/users/invites - Creates a pending invite and sends the invite email when possible.

POST/api/v2/users/invites

Creates a pending invite and sends the invite email when possible.

Required scope: users (or *).

JSON body

NameRequiredDescription
emailYesInvitee email
roleNoadmin or agent (default agent)
first_nameNoInvitee first name
last_nameNoInvitee last name
phoneNoInvitee phone
curl -s -X POST -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "new.agent@example.com",
  "role": "agent",
  "first_name": "Sam",
  "last_name": "Lee",
  "phone": "5551112222"
}' \
  "https://benefitpath.com/api/v2/users/invites"
{
  "success": true,
  "invite": {
    "email": "new.agent@example.com",
    "role": "agent",
    "first_name": "Sam",
    "last_name": "Lee"
  }
}

See Errors for the standard error envelope and rate limits.